Bug 453599 - LocalQueue::get() needs to support timeout
LocalQueue::get() needs to support timeout
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
low Severity low
: 1.0.1
: ---
Assigned To: Alan Conway
Kim van der Riet
:
Depends On:
Blocks: 460220
  Show dependency treegraph
 
Reported: 2008-07-01 10:39 EDT by Gordon Sim
Modified: 2011-08-12 12:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 15:09:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-07-01 10:39:35 EDT
I.e. return early (or throw exception) if no message is put on the queue in a
given time.
Comment 1 Alan Conway 2008-07-01 14:01:32 EDT
Fixed in SVN r673158
Comment 2 Gordon Sim 2008-07-10 10:44:50 EDT
merged to qpid.0-10 branch as r675598
Comment 4 Frantisek Reznicek 2008-09-15 08:21:42 EDT
RHTS test MRG_Messaging/qpid_localqueue_timeout_bz453599 proves that timeout is now supported in LocalQueue::get() call. (->VERIFIED)
Comment 6 errata-xmlrpc 2008-10-06 15:09:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0640.html

Note You need to log in before you can comment on or make changes to this bug.